ApplicationPushBuilder (Apache Tomcat 8.5.78 API Documentation)

Package org.apache.catalina.core

## Class ApplicationPushBuilder

- java.lang.Object
- - org.apache.catalina.core.ApplicationPushBuilder

-     public class ApplicationPushBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ApplicationPushBuilder​(Request catalinaRequest, HttpServletRequest request)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ApplicationPushBuilder` | `addHeader​(String name, String value)` |
    `String` | `getHeader​(String name)` |
    `Set<String>` | `getHeaderNames()` |
    `String` | `getMethod()` |
    `String` | `getPath()` |
    `String` | `getQueryString()` |
    `String` | `getSessionId()` |
    `ApplicationPushBuilder` | `method​(String method)` |
    `ApplicationPushBuilder` | `path​(String path)` |
    `void` | `push()` |
    `ApplicationPushBuilder` | `queryString​(String queryString)` |
    `ApplicationPushBuilder` | `removeHeader​(String name)` |
    `ApplicationPushBuilder` | `sessionId​(String sessionId)` |
    `ApplicationPushBuilder` | `setHeader​(String name, String value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationPushBuilder

          public ApplicationPushBuilder​(Request catalinaRequest,
                                        HttpServletRequest request)

  - ### Method Detail

    - #### path

          public ApplicationPushBuilder path​(String path)

    - #### getPath

          public String getPath()

    - #### method

          public ApplicationPushBuilder method​(String method)

    - #### getMethod

          public String getMethod()

    - #### queryString

          public ApplicationPushBuilder queryString​(String queryString)

    - #### getQueryString

          public String getQueryString()

    - #### sessionId

          public ApplicationPushBuilder sessionId​(String sessionId)

    - #### getSessionId

          public String getSessionId()

    - #### addHeader

          public ApplicationPushBuilder addHeader​(String name,
                                                  String value)

    - #### setHeader

          public ApplicationPushBuilder setHeader​(String name,
                                                  String value)

    - #### removeHeader

          public ApplicationPushBuilder removeHeader​(String name)

    - #### getHeaderNames

          public Set<String> getHeaderNames()

    - #### getHeader

          public String getHeader​(String name)

    - #### push

          public void push()